Package kiyut.sketsa.options

## Class FontSetOptions

- java.lang.Object
- - kiyut.sketsa.options.AbstractOptions
  - - kiyut.sketsa.options.FontSetOptions

- All Implemented Interfaces:
    `Options`

      public class FontSetOptions
      extends AbstractOptions

  Implementation of FontSet Options
  Author:
    Kiyut

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `FONT_SET_PROPERTY` |
    `static String` | `FONT_SET_SIZE_PROPERTY` |

    - ### Fields inherited from class kiyut.sketsa.options.AbstractOptions

      `DEFAULT_NODE_NAME, nodeName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FontSetOptions()` | Creates a new instance of FontSetOptions

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<List<String>>` | `getFontSetList()` |
    `static FontSetOptions` | `getInstance()` | Returns the single instance, creating one if it's the first time this method is called.
    `static String` | `listToString​(List<String> list)` |
    `protected void` | `retrieve()` |
    `void` | `setFontSetList​(List<List<String>> list)` |
    `protected void` | `store()` |
    `static List<String>` | `stringToList​(String text)` |

    - ### Methods inherited from class kiyut.sketsa.options.AbstractOptions

      `addPropertyChangeListener, firePropertyChange, getPreferences, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FONT_SET_SIZE_PROPERTY

          public static final String FONT_SET_SIZE_PROPERTY

      See Also:
        Constant Field Values

    - #### FONT_SET_PROPERTY

          public static final String FONT_SET_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FontSetOptions

          protected FontSetOptions()

      Creates a new instance of FontSetOptions

  - ### Method Detail

    - #### getInstance

          public static FontSetOptions getInstance()

      Returns the single instance, creating one if it's the first time this method is called.
      Returns:
        Preferences The single instance.

    - #### listToString

          public static String listToString​(List<String> list)

    - #### stringToList

          public static List<String> stringToList​(String text)

    - #### getFontSetList

          public List<List<String>> getFontSetList()

    - #### setFontSetList

          public void setFontSetList​(List<List<String>> list)

    - #### store

          protected void store()

    - #### retrieve

          protected void retrieve()